Bug 245852 - Amarok crashing after replugin of ipod [@ Handler::IpodArtworkCapability::getCover]
Summary: Amarok crashing after replugin of ipod [@ Handler::IpodArtworkCapability::get...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/iPod iPhone (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
: 263362 268856 270214 271832 284567 289059 294264 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-07-27 01:42 UTC by Bill King
Modified: 2012-02-17 00:53 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill King 2010-07-27 01:42:11 UTC
Application: amarok (2.3.1)
KDE Platform Version: 4.4.4 (KDE 4.4.4) "release 2"
Qt Version: 4.6.3
Operating System: Linux 2.6.34-12-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
Playlist with only tracks from ipod. Amarok was paused, ipod was removed, then significant time later replugged in, the "next track button" was clicked, amarok then crashes. Replicable and repeatable over multiple versions, happens every time.

The crash can be reproduced every time.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb0e1a720 (LWP 5141))]

Thread 24 (Thread 0xa9f79b70 (LWP 5237)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb57712a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf2321d7 in metronom_sync_loop () from /usr/lib/libxine.so.1
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 23 (Thread 0xa9778b70 (LWP 5239)):
#0  0xb334522b in clock_gettime () from /lib/librt.so.1
#1  0xb651675c in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb651ab16 in updateCurrentTime (this=0x824dc6c, tm=...) at kernel/qeventdispatcher_unix.cpp:340
#3  QTimerInfoList::timerWait (this=0x824dc6c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb651956b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa977811c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb32980c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#6  0xb3298f22 in ?? () from /usr/lib/libglib-2.0.so.0
#7  0xb329960e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#8  0xb6519d97 in QEventDispatcherGlib::processEvents (this=0x82504c8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#9  0xb64ed11d in QEventLoop::processEvents (this=0xa97782b0, flags=...) at kernel/qeventloop.cpp:149
#10 0xb64ed319 in QEventLoop::exec (this=0xa97782b0, flags=...) at kernel/qeventloop.cpp:201
#11 0xb63f1403 in QThread::exec (this=0x824d5c0) at thread/qthread.cpp:487
#12 0xaf611dc8 in Phonon::Xine::XineThread::run (this=0x824d5c0) at /usr/src/debug/phonon-4.4.2/xine/xinethread.cpp:143
#13 0xb63f404f in QThreadPrivate::start (arg=0x824d5c0) at thread/qthread_unix.cpp:248
#14 0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#15 0xb576346e in clone () from /lib/libc.so.6

Thread 22 (Thread 0xa8f77b70 (LWP 5241)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb575875e in poll () from /lib/libc.so.6
#2  0xb301b606 in ?? () from /usr/lib/libpulse.so.0
#3  0xb300a2aa in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0xb300aaa7 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0xb300ab84 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0xb301b58e in ?? () from /usr/lib/libpulse.so.0
#7  0xb2803dd3 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#9  0xb576346e in clone () from /lib/libc.so.6

Thread 21 (Thread 0xa4775b70 (LWP 5243)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf2450c0 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 20 (Thread 0xa3f6bb70 (LWP 5248)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf2450c0 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 19 (Thread 0xa33ffb70 (LWP 5249)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf2450c0 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 18 (Thread 0xa207fb70 (LWP 5262)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa264c8b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa264b35b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa26076d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa2688f80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#8  0xb576346e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xa05bbb70 (LWP 5263)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa264c8b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa264b35b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa26076d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa2688f80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#8  0xb576346e in clone () from /lib/libc.so.6

Thread 16 (Thread 0x9fdbab70 (LWP 5264)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa264c8b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa264b35b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa26076d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa2688f80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#8  0xb576346e in clone () from /lib/libc.so.6

Thread 15 (Thread 0x9f5b9b70 (LWP 5265)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa264c8b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa264b35b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa26076d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa2688f80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#8  0xb576346e in clone () from /lib/libc.so.6

Thread 14 (Thread 0x9e128b70 (LWP 5343)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb575c0b1 in select () from /lib/libc.so.6
#2  0xa264d20b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa2687abc in srv_lock_timeout_thread () from /usr/lib/libmysqld.so.0
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 13 (Thread 0x9d927b70 (LWP 5344)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb575c0b1 in select () from /lib/libc.so.6
#2  0xa264d20b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa2687dee in srv_error_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 12 (Thread 0x9d126b70 (LWP 5345)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb575c0b1 in select () from /lib/libc.so.6
#2  0xa264d20b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa2687640 in srv_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 11 (Thread 0x9c925b70 (LWP 5346)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa264c8b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa2688493 in srv_master_thread () from /usr/lib/libmysqld.so.0
#5  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#6  0xb576346e in clone () from /lib/libc.so.6

Thread 10 (Thread 0x9b19ab70 (LWP 5501)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63f4710 in wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb4ecd24a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9f82558, th=0x9f82ab0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ed0307 in waitForAvailableJob (this=0x9f828d0, th=0x9f82ab0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x9f828d0, th=0x9f82ab0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4eccb43 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9f82558, th=0x9f82ab0, previous=0x0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4ed0323 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f828d0, th=0x9f82ab0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb4eccb43 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9f82558, th=0x9f82ab0, previous=0xa4bfe58) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb4ecd744 in ThreadWeaver::ThreadRunHelper::run (this=0x9b19a304, parent=0x9f82558, th=0x9f82ab0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:87
#12 0xb4ecd7fa in ThreadWeaver::Thread::run (this=0x9f82ab0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:142
#13 0xb63f404f in QThreadPrivate::start (arg=0x9f82ab0) at thread/qthread_unix.cpp:248
#14 0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#15 0xb576346e in clone () from /lib/libc.so.6

Thread 9 (Thread 0x9a999b70 (LWP 5502)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63f4710 in wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb4ecd24a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9f82558, th=0xa34604c8) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ed0307 in waitForAvailableJob (this=0x9f828d0, th=0xa34604c8) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x9f828d0, th=0xa34604c8) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4eccb43 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9f82558, th=0xa34604c8, previous=0x0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4ed0323 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f828d0, th=0xa34604c8) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb4eccb43 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9f82558, th=0xa34604c8, previous=0xa4d00c0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb4ecd744 in ThreadWeaver::ThreadRunHelper::run (this=0x9a999304, parent=0x9f82558, th=0xa34604c8) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:87
#12 0xb4ecd7fa in ThreadWeaver::Thread::run (this=0xa34604c8) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:142
#13 0xb63f404f in QThreadPrivate::start (arg=0xa34604c8) at thread/qthread_unix.cpp:248
#14 0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#15 0xb576346e in clone () from /lib/libc.so.6

Thread 8 (Thread 0x99e95b70 (LWP 5525)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63f4710 in wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb4ecd24a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9f82558, th=0xa15be38) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ed0307 in waitForAvailableJob (this=0x9f828d0, th=0xa15be38) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x9f828d0, th=0xa15be38) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4eccb43 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9f82558, th=0xa15be38, previous=0xa4eacb8) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4ecd744 in ThreadWeaver::ThreadRunHelper::run (this=0x99e95304, parent=0x9f82558, th=0xa15be38) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:87
#10 0xb4ecd7fa in ThreadWeaver::Thread::run (this=0xa15be38) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:142
#11 0xb63f404f in QThreadPrivate::start (arg=0xa15be38) at thread/qthread_unix.cpp:248
#12 0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#13 0xb576346e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x98e93b70 (LWP 5528)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63f4710 in wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9f82570, mutex=0x9f827f0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb4ecd24a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9f82558, th=0x8c55900) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ed0307 in waitForAvailableJob (this=0x9f828d0, th=0x8c55900) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x9f828d0, th=0x8c55900) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4eccb43 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9f82558, th=0x8c55900, previous=0xa4bb5f0) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4ecd744 in ThreadWeaver::ThreadRunHelper::run (this=0x98e93304, parent=0x9f82558, th=0x8c55900) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:87
#10 0xb4ecd7fa in ThreadWeaver::Thread::run (this=0x8c55900) at /usr/src/debug/kdelibs-4.4.4/threadweaver/Weaver/Thread.cpp:142
#11 0xb63f404f in QThreadPrivate::start (arg=0x8c55900) at thread/qthread_unix.cpp:248
#12 0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#13 0xb576346e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x98692b70 (LWP 5552)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4d33fa7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb4e1b1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#4  0xb4d33fef in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb4e1b1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#5  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#6  0xb576346e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x929ffb70 (LWP 13241)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb57712a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf240b95 in video_out_loop () from /usr/lib/libxine.so.1
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x8a034b70 (LWP 13242)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf2362f4 in fifo_buffer_get () from /usr/lib/libxine.so.1
#4  0xaf23c985 in video_decoder_loop () from /usr/lib/libxine.so.1
#5  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#6  0xb576346e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x89833b70 (LWP 13243)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf2362f4 in fifo_buffer_get () from /usr/lib/libxine.so.1
#4  0xaf23dba5 in audio_decoder_loop () from /usr/lib/libxine.so.1
#5  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#6  0xb576346e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x89032b70 (LWP 13244)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53ea125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb577124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf2481bc in listener_loop () from /usr/lib/libxine.so.1
#4  0xb53e5b25 in start_thread () from /lib/libpthread.so.0
#5  0xb576346e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb0e1a720 (LWP 5141)):
[KCrash Handler]
#6  0x9ed0b1b0 in Handler::IpodArtworkCapability::getCover (this=0x93225e28, track=...)
    at /usr/src/debug/amarok-2.3.1/src/core-impl/collections/ipodcollection/handler/capabilities/IpodArtworkCapability.cpp:35
#7  0xb6c8e637 in Meta::MediaDeviceAlbum::image (this=0x932252a8, size=156) at /usr/src/debug/amarok-2.3.1/src/core-impl/collections/mediadevicecollection/MediaDeviceMeta.cpp:855
#8  0x9b19f8e7 in CurrentEngine::update (this=0xa006900) at /usr/src/debug/amarok-2.3.1/src/context/engines/current/CurrentEngine.cpp:255
#9  0x9b1a1043 in CurrentEngine::message (this=0xa006900, state=@0xbfc588ac) at /usr/src/debug/amarok-2.3.1/src/context/engines/current/CurrentEngine.cpp:104
#10 0xb69beb4c in ContextSubject::messageNotify (this=0x9fa3f80, message=@0xbfc588ac) at /usr/src/debug/amarok-2.3.1/src/context/ContextObserver.cpp:65
#11 0xb69bf95f in Context::ContextView::engineNewTrackPlaying (this=0x9fa3f60) at /usr/src/debug/amarok-2.3.1/src/context/ContextView.cpp:182
#12 0xb384153b in Engine::EngineSubject::newTrackPlaying (this=0x81aa028) at /usr/src/debug/amarok-2.3.1/src/core/engine/EngineObserver.cpp:196
#13 0xb705cffc in EngineController::slotNewTrackPlaying (this=0x81aa028, source=...) at /usr/src/debug/amarok-2.3.1/src/EngineController.cpp:1092
#14 0xb70715b8 in EngineController::qt_metacall (this=0x81aa028, _c=QMetaObject::InvokeMetaMethod, _id=24, _a=0xbfc58a78) at /usr/src/debug/amarok-2.3.1/build/src/EngineController.moc:156
#15 0xb64f3efd in QMetaObject::metacall (object=0x81aa028, cl=QMetaObject::InvokeMetaMethod, idx=29, argv=0xbfc58a78) at kernel/qmetaobject.cpp:237
#16 0xb6502fe8 in QMetaObject::activate (sender=0x8232ba8, m=0xb5268da8, local_signal_index=7, argv=0xbfc58a78) at kernel/qobject.cpp:3295
#17 0xb522df25 in Phonon::MediaObject::currentSourceChanged (this=0x8232ba8, _t1=...) at /usr/src/debug/phonon-4.4.2/build/phonon/moc_mediaobject.cpp:234
#18 0xb522e4ea in Phonon::MediaObjectPrivate::_k_currentSourceChanged (this=0x8232eb8, source=...) at /usr/src/debug/phonon-4.4.2/phonon/mediaobject.cpp:446
#19 0xb522e9db in Phonon::MediaObject::qt_metacall (this=0x8232ba8, _c=QMetaObject::InvokeMetaMethod, _id=22, _a=0xbfc58bd8) at /usr/src/debug/phonon-4.4.2/build/phonon/moc_mediaobject.cpp:144
#20 0xb64f3efd in QMetaObject::metacall (object=0x8232ba8, cl=QMetaObject::InvokeMetaMethod, idx=26, argv=0xbfc58bd8) at kernel/qmetaobject.cpp:237
#21 0xb6502fe8 in QMetaObject::activate (sender=0x824cfb0, m=0xaf64bf00, local_signal_index=4, argv=0xbfc58bd8) at kernel/qobject.cpp:3295
#22 0xaf6244f5 in Phonon::Xine::MediaObject::currentSourceChanged (this=0x824cfb0, _t1=...) at /usr/src/debug/phonon-4.4.2/build/xine/mediaobject.moc:215
#23 0xaf625b2c in Phonon::Xine::MediaObject::setSourceInternal (this=0x824cfb0, source=..., how=Phonon::Xine::MediaObject::HardSwitch) at /usr/src/debug/phonon-4.4.2/xine/mediaobject.cpp:426
#24 0xaf62686f in Phonon::Xine::MediaObject::setSource (this=0x824cfb0, source=...) at /usr/src/debug/phonon-4.4.2/xine/mediaobject.cpp:317
#25 0xb522cfdb in Phonon::MediaObject::setCurrentSource (this=0x8232ba8, newSource=...) at /usr/src/debug/phonon-4.4.2/phonon/mediaobject.cpp:260
#26 0xb705ef28 in EngineController::playUrl (this=0x81aa028, url=..., offset=0) at /usr/src/debug/amarok-2.3.1/src/EngineController.cpp:508
#27 0xb7060332 in EngineController::play (this=0x81aa028, track=..., offset=151336096) at /usr/src/debug/amarok-2.3.1/src/EngineController.cpp:430
#28 0xb6a1c700 in Playlist::Actions::play (this=0x8c41820, trackid=172763512, now=88) at /usr/src/debug/amarok-2.3.1/src/playlist/PlaylistActions.cpp:229
#29 0xb6a1cc97 in Playlist::Actions::requestUserNextTrack (this=0x8c41820) at /usr/src/debug/amarok-2.3.1/src/playlist/PlaylistActions.cpp:153
#30 0xb6a1cce8 in Playlist::Actions::next (this=0x8c41820) at /usr/src/debug/amarok-2.3.1/src/playlist/PlaylistActions.cpp:245
#31 0xb6948188 in Playlist::Actions::qt_metacall (this=0x8c41820, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfc590f8) at /usr/src/debug/amarok-2.3.1/build/src/moc_PlaylistActions.cpp:101
#32 0xb64f3efd in QMetaObject::metacall (object=0x8c41820, cl=QMetaObject::InvokeMetaMethod, idx=10, argv=0xbfc590f8) at kernel/qmetaobject.cpp:237
#33 0xb6502fe8 in QMetaObject::activate (sender=0x8758e10, m=0xb6370d28, local_signal_index=1, argv=0xbfc590f8) at kernel/qobject.cpp:3295
#34 0xb5a3aa0d in QAction::triggered (this=0x8758e10, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#35 0xb5a3acab in QAction::activate (this=0x8758e10, event=QAction::Trigger) at kernel/qaction.cpp:1255
#36 0xb5f1dc30 in trigger (this=0x9fb3c48) at ../../src/gui/kernel/qaction.h:218
#37 QToolButton::nextCheckState (this=0x9fb3c48) at widgets/qtoolbutton.cpp:1147
#38 0xb5e4a297 in QAbstractButtonPrivate::click (this=0x9fb3c60) at widgets/qabstractbutton.cpp:528
#39 0xb5e4a596 in QAbstractButton::mouseReleaseEvent (this=0x9fb3c48, e=0xbfc59834) at widgets/qabstractbutton.cpp:1121
#40 0xb5f1dd1d in QToolButton::mouseReleaseEvent (this=0x9fb3c48, e=0xbfc59834) at widgets/qtoolbutton.cpp:721
#41 0xb5a9af00 in QWidget::event (this=0x9fb3c48, event=0xbfc59834) at kernel/qwidget.cpp:8044
#42 0xb5e497d0 in QAbstractButton::event (this=0x9fb3c48, e=0xbfc59834) at widgets/qabstractbutton.cpp:1080
#43 0xb5f1f47c in QToolButton::event (this=0x9fb3c48, event=0xbfc59834) at widgets/qtoolbutton.cpp:1163
#44 0xb5a41c64 in QApplicationPrivate::notify_helper (this=0x81719c0, receiver=0x9fb3c48, e=0xbfc59834) at kernel/qapplication.cpp:4302
#45 0xb5a4a750 in QApplication::notify (this=0xbfc5954c, receiver=0x9fb3c48, e=0xbfc59834) at kernel/qapplication.cpp:3867
#46 0xb75709d1 in KApplication::notify (this=0xbfc5a08c, receiver=0x9fb3c48, event=0xbfc59834) at /usr/src/debug/kdelibs-4.4.4/kdeui/kernel/kapplication.cpp:302
#47 0xb64ede0e in QCoreApplication::notifyInternal (this=0xbfc5a08c, receiver=0x9fb3c48, event=0xbfc59834) at kernel/qcoreapplication.cpp:726
#48 0xb5a42c4c in sendSpontaneousEvent (receiver=0x9fb3c48, event=0xbfc59834, alienWidget=0x9fb3c48, nativeWidget=0x8c55720, buttonDown=0xb638c078, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:218
#49 QApplicationPrivate::sendMouseEvent (receiver=0x9fb3c48, event=0xbfc59834, alienWidget=0x9fb3c48, nativeWidget=0x8c55720, buttonDown=0xb638c078, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#50 0xb5aca58c in QETWidget::translateMouseEvent (this=0x8c55720, event=0xbfc59d4c) at kernel/qapplication_x11.cpp:4380
#51 0xb5ac973e in QApplication::x11ProcessEvent (this=0xbfc5a08c, event=0xbfc59d4c) at kernel/qapplication_x11.cpp:3391
#52 0xb5af2570 in x11EventSourceDispatch (s=0x8176900, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#53 0xb3298b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#54 0xb3299350 in ?? () from /usr/lib/libglib-2.0.so.0
#55 0xb329960e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#56 0xb6519d4b in QEventDispatcherGlib::processEvents (this=0x807ea88, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#57 0xb5af219a in QGuiEventDispatcherGlib::processEvents (this=0x807ea88, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#58 0xb64ed11d in QEventLoop::processEvents (this=0xbfc5a004, flags=...) at kernel/qeventloop.cpp:149
#59 0xb64ed319 in QEventLoop::exec (this=0xbfc5a004, flags=...) at kernel/qeventloop.cpp:201
#60 0xb64f1c70 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#61 0xb5a3f164 in QApplication::exec () at kernel/qapplication.cpp:3581
#62 0x0804fa23 in main (argc=-1826464928, argv=0xa006900) at /usr/src/debug/amarok-2.3.1/src/main.cpp:237

Reported using DrKonqi
Comment 1 Bill King 2010-09-21 08:11:38 UTC
Seeing this in the git versions too.
Comment 2 Myriam Schweingruber 2010-09-21 12:08:33 UTC
Bill, do you talk about current git of today?
Comment 3 Myriam Schweingruber 2010-12-13 20:46:59 UTC
Bumping version. Any news on this?
Comment 4 Myriam Schweingruber 2011-01-10 13:27:29 UTC
Confirmed by this comment: https://bugs.kde.org/show_bug.cgi?id=259647#c5 subscribing others
Comment 5 Myriam Schweingruber 2011-01-18 23:56:15 UTC
*** Bug 263362 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2011-03-19 13:23:32 UTC
*** Bug 268856 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2011-04-07 09:49:45 UTC
*** Bug 270214 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2011-04-27 12:32:49 UTC
*** Bug 271832 has been marked as a duplicate of this bug. ***
Comment 9 Matěj Laitl 2011-10-20 21:43:29 UTC
*** Bug 284567 has been marked as a duplicate of this bug. ***
Comment 10 Matěj Laitl 2011-10-20 21:44:42 UTC
I will take a look at this.
Comment 11 Matěj Laitl 2011-10-27 13:20:41 UTC
Git commit f9ea65ed3031406a9553a28d5330c7b2ede44518 by Matěj Laitl.
Committed on 26/10/2011 at 21:13.
Pushed by laitl into branch 'master'.

Mandatory QObject-based memory mngment for all MediaDevice Capabilities

AFAICS, all subclasses of Handler::Capability were only created using
"new" and never deleted, yielding continuous memory leaks. Make it
compulsory for them to pass their parent object (relevant
MediaDeviceHandler) so that they are deleted when their associated
collections (and therefore handlers) disappear.

Added benefit is that it is now guaranteed inside capabilities that
their collection (handler) is valid throughout their lifetime.

All external code that keeps references to such capabilities should do
so only using QWeakPointer (all found places fixed).

Apart from fixing memory leaks, this should definitely fix crash in
bug 245852. Fix also MediaDeviceTrack::inCollection() so that other
crashed are avoided.

BUG: 245852
FIXED-IN: 2.5

M  +1    -1    src/core-impl/collections/ipodcollection/handler/capabilities/IpodArtworkCapability.cpp
M  +1    -1    src/core-impl/collections/ipodcollection/handler/capabilities/IpodPlaylistCapability.cpp
M  +1    -1    src/core-impl/collections/ipodcollection/handler/capabilities/IpodReadCapability.cpp
M  +1    -1    src/core-impl/collections/ipodcollection/handler/capabilities/IpodWriteCapability.cpp
M  +15   -15   src/core-impl/collections/mediadevicecollection/MediaDeviceMeta.cpp
M  +2    -3    src/core-impl/collections/mediadevicecollection/MediaDeviceMeta.h
M  +7    -0    src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandlerCapability.h
M  +1    -0    src/core-impl/collections/mediadevicecollection/handler/capabilities/ArtworkCapability.h
M  +2    -1    src/core-impl/collections/mediadevicecollection/handler/capabilities/PlaylistCapability.h
M  +1    -0    src/core-impl/collections/mediadevicecollection/handler/capabilities/ReadCapability.h
M  +1    -0    src/core-impl/collections/mediadevicecollection/handler/capabilities/ReadCapabilityBase.h
M  +1    -0    src/core-impl/collections/mediadevicecollection/handler/capabilities/WriteCapability.h
M  +1    -0    src/core-impl/collections/mediadevicecollection/handler/capabilities/WriteCapabilityBase.h
M  +1    -1    src/core-impl/collections/mtpcollection/handler/capabilities/MtpPlaylistCapability.cpp
M  +1    -1    src/core-impl/collections/mtpcollection/handler/capabilities/MtpReadCapability.cpp
M  +1    -1    src/core-impl/collections/mtpcollection/handler/capabilities/MtpWriteCapability.cpp

http://commits.kde.org/amarok/f9ea65ed3031406a9553a28d5330c7b2ede44518
Comment 12 Matěj Laitl 2011-12-15 19:39:08 UTC
*** Bug 289059 has been marked as a duplicate of this bug. ***
Comment 13 Myriam Schweingruber 2012-02-17 00:53:36 UTC
*** Bug 294264 has been marked as a duplicate of this bug. ***